Bug 466430 - Feature request: Wildcard (*) for key combination on cangjie5.
Summary: Feature request: Wildcard (*) for key combination on cangjie5.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-table
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peng Huang
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 481098
TreeView+ depends on / blocked
 
Reported: 2008-10-10 08:52 UTC by Caius Chance
Modified: 2009-02-05 01:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-05 01:48:01 UTC


Attachments (Terms of Use)
github patch for upstream (9.37 KB, patch)
2009-01-08 02:28 UTC, Caius Chance
no flags Details | Diff
Patch for rawhide. (689 bytes, patch)
2009-01-08 03:54 UTC, Caius Chance
no flags Details | Diff

Description Caius Chance 2008-10-10 08:52:14 UTC
Description of problem:
Wildcard (*) usage provides convenience to users who are not familiar to key combinations of all characters.

Version-Release number of selected component (if applicable):
ibus-table-chinese-0.1.1.20080901-1.fc9.noarch

How reproducible:
Always

Steps to Reproduce:
1. yum install ibus-table-chinese
2. start ibus
3. enable cangjie5 input method.
4. type replacing some key combination with a asterisk.

Actual results:
Cang Jie 5 on ibus doesn't support wildcard.

Expected results:
ibus-table-chinese-0.1.1.20080901-1.fc9.noarch

Additional info:

Comment 1 Jens Petersen 2008-10-20 05:25:00 UTC
Please file upstream and link to the issue here.

Comment 3 Caius Chance 2008-12-18 23:42:37 UTC
Two parts might need to be updated:

- recognize '*' as special character and avoid its direct input.

- sqlite query (or multi queries with regex to filter) for results.

Comment 4 Caius Chance 2009-01-08 02:28:21 UTC
Created attachment 328431 [details]
github patch for upstream

Comment 5 Caius Chance 2009-01-08 03:54:53 UTC
Created attachment 328434 [details]
Patch for rawhide.

Comment 6 Caius Chance 2009-01-08 03:55:45 UTC
Attached patch for rawhide.

Comment 7 Peng Huang 2009-01-08 05:27:07 UTC
I think it is better to submit this patch to upstream at first.

Comment 8 Caius Chance 2009-02-05 01:48:01 UTC
applied:

http://koji.fedoraproject.org/koji/buildinfo?buildID=81466


Note You need to log in before you can comment on or make changes to this bug.